---------------------
PatchSet 628 
Date: 2000/10/10 16:53:56
Author: kinkie
Branch: ntlm
Tag: (none) 
Log:
Moved the struct dc definition here, and added a status flag.
Added the NTLM_BAD_PROTOCOL error.

Members: 
	ntlm_auth_modules/NTLMSSP/ntlm.h:1.1.2.11->1.1.2.12 

Index: squid/ntlm_auth_modules/NTLMSSP/ntlm.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/Attic/ntlm.h,v
retrieving revision 1.1.2.11
retrieving revision 1.1.2.12
diff -u -r1.1.2.11 -r1.1.2.12
--- squid/ntlm_auth_modules/NTLMSSP/ntlm.h	10 Oct 2000 10:09:26 -0000	1.1.2.11
+++ squid/ntlm_auth_modules/NTLMSSP/ntlm.h	10 Oct 2000 16:53:56 -0000	1.1.2.12
@@ -206,6 +206,7 @@
 #define NTLM_SERVER_ERROR 1
 #define NTLM_PROTOCOL_ERROR 2
 #define NTLM_LOGON_ERROR 3
+#define NTLM_BAD_PROTOCOL -1
 #define NTLM_NOT_CONNECTED 10
 
 
@@ -213,11 +214,19 @@
 char* ntlm_check_auth(struct ntlm_authenticate * auth, int auth_length);
 void dc_disconnect(void);
 int connectedp(void);
+int is_dc_ok (char *domain,char *domain_controller);
 
+/* flags used for dc status */
+#define DC_OK 0x0
+#define DC_DEAD 0x1
+
+typedef struct _dc dc;
+struct _dc {
+	char *domain;
+	char *controller;
+	unsigned char status;
+	dc *next;
+};
 
-#if 0
-extern char *domain;
-extern char *domain_controller;
-#endif
 
 #endif /* _NTLM_H_ */
